osl::record::KanjiPrint Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
osl::record::KanjiPrint Class Reference

局面を漢字でカラーで表示する. More...

`#include <kanjiPrint.h>`

Collaboration diagram for osl::record::KanjiPrint:
[legend]

## Public Member Functions
| KanjiPrint (std::ostream &os, const boost::shared_ptr< Characters > pieces=boost::shared_ptr< Characters >(new StandardCharacters()))
| ~KanjiPrint ()
void | print (const state::SimpleState &state, const Move *last_move=NULL) const
| 出力 More...
void | setBlackColor (const Color &c)
void | setWhiteColor (const Color &c)
void | setLastMoveColor (const Color &c)

## Private Attributes
std::ostream & | os
const boost::shared_ptr < Characters > | pieces
Color | black_color
Color | white_color
Color | last_move_color

## Detailed Description

局面を漢字でカラーで表示する.

Definition at line 185 of file kanjiPrint.h.

## Constructor & Destructor Documentation

osl::record::KanjiPrint::KanjiPrint | ( | std::ostream & | os,
|  | const boost::shared_ptr< Characters > | pieces = `boost::shared_ptr<Characters>(new StandardCharacters())`
| ) |  |
| inlineexplicit

Definition at line 195 of file kanjiPrint.h.

osl::record::KanjiPrint::~KanjiPrint | ( | ) |  |
| inline

Definition at line 201 of file kanjiPrint.h.

## Member Function Documentation

void osl::record::KanjiPrint::print | ( | const state::SimpleState & | state,
|  | const Move * | last_move = `NULL`
| ) |  | const

出力

Parameters

  state | a state to show.
  last_move | a color last_move is available unless it is null.

Definition at line 181 of file kanjiPrint.cc.

References osl::BLACK, count, osl::state::SimpleState::countPiecesOnStand(), osl::misc::eucToLang(), osl::getOwner(), osl::Move::isInvalid(), osl::isPiece(), K_BLACK_STAND, K_WHITE_STAND, osl::newPtypeO(), osl::PieceStand::order, osl::state::SimpleState::pieceOnBoard(), osl::Piece::ptypeO(), osl::Move::to(), osl::state::SimpleState::turn(), and osl::WHITE.

Referenced by doMain(), show(), showInfoOfState(), and usiMovesToPositionString().

void osl::record::KanjiPrint::setBlackColor | ( | const Color & | c) |  |
| inline

Definition at line 211 of file kanjiPrint.h.

References black_color.

void osl::record::KanjiPrint::setLastMoveColor | ( | const Color & | c) |  |
| inline

Definition at line 213 of file kanjiPrint.h.

References last_move_color.

void osl::record::KanjiPrint::setWhiteColor | ( | const Color & | c) |  |
| inline

Definition at line 212 of file kanjiPrint.h.

References white_color.

## Member Data Documentation

Color osl::record::KanjiPrint::black_color
| private

Definition at line 190 of file kanjiPrint.h.

Referenced by setBlackColor().

Color osl::record::KanjiPrint::last_move_color
| private

Definition at line 192 of file kanjiPrint.h.

Referenced by setLastMoveColor().

std::ostream& osl::record::KanjiPrint::os
| private

Definition at line 188 of file kanjiPrint.h.

const boost::shared_ptr<Characters> osl::record::KanjiPrint::pieces
| private

Definition at line 189 of file kanjiPrint.h.

Color osl::record::KanjiPrint::white_color
| private

Definition at line 191 of file kanjiPrint.h.

Referenced by setWhiteColor().

The documentation for this class was generated from the following files:

- kanjiPrint.h
- kanjiPrint.cc